org.richfaces.view.facelets.html

## Class BehaviorsTagHandlerDelegateFactoryImpl

- java.lang.Object
- - javax.faces.view.facelets.TagHandlerDelegateFactory
  - - org.richfaces.view.facelets.html.BehaviorsTagHandlerDelegateFactoryImpl

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.view.facelets.TagHandlerDelegateFactory>

      public class BehaviorsTagHandlerDelegateFactoryImpl
      extends javax.faces.view.facelets.TagHandlerDelegateFactory
      implements javax.faces.FacesWrapper<javax.faces.view.facelets.TagHandlerDelegateFactory>

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehaviorsTagHandlerDelegateFactoryImpl(javax.faces.view.facelets.TagHandlerDelegateFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.view.facelets.TagHandlerDelegate` | `createBehaviorHandlerDelegate(javax.faces.view.facelets.BehaviorHandler owner)`
    `javax.faces.view.facelets.TagHandlerDelegate` | `createComponentHandlerDelegate(javax.faces.view.facelets.ComponentHandler owner)`
    `javax.faces.view.facelets.TagHandlerDelegate` | `createConverterHandlerDelegate(javax.faces.view.facelets.ConverterHandler owner)`
    `javax.faces.view.facelets.TagHandlerDelegate` | `createValidatorHandlerDelegate(javax.faces.view.facelets.ValidatorHandler owner)`
    `javax.faces.view.facelets.TagHandlerDelegateFactory` | `getWrapped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BehaviorsTagHandlerDelegateFactoryImpl

          public BehaviorsTagHandlerDelegateFactoryImpl(javax.faces.view.facelets.TagHandlerDelegateFactory factory)

  - ### Method Detail

    - #### createBehaviorHandlerDelegate

          public javax.faces.view.facelets.TagHandlerDelegate createBehaviorHandlerDelegate(javax.faces.view.facelets.BehaviorHandler owner)

      Specified by:
        `createBehaviorHandlerDelegate` in class `javax.faces.view.facelets.TagHandlerDelegateFactory`

    - #### createComponentHandlerDelegate

          public javax.faces.view.facelets.TagHandlerDelegate createComponentHandlerDelegate(javax.faces.view.facelets.ComponentHandler owner)

      Specified by:
        `createComponentHandlerDelegate` in class `javax.faces.view.facelets.TagHandlerDelegateFactory`

    - #### createConverterHandlerDelegate

          public javax.faces.view.facelets.TagHandlerDelegate createConverterHandlerDelegate(javax.faces.view.facelets.ConverterHandler owner)

      Specified by:
        `createConverterHandlerDelegate` in class `javax.faces.view.facelets.TagHandlerDelegateFactory`

    - #### createValidatorHandlerDelegate

          public javax.faces.view.facelets.TagHandlerDelegate createValidatorHandlerDelegate(javax.faces.view.facelets.ValidatorHandler owner)

      Specified by:
        `createValidatorHandlerDelegate` in class `javax.faces.view.facelets.TagHandlerDelegateFactory`

    - #### getWrapped

          public javax.faces.view.facelets.TagHandlerDelegateFactory getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.view.facelets.TagHandlerDelegateFactory>`
      Overrides:
        `getWrapped` in class `javax.faces.view.facelets.TagHandlerDelegateFactory`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.